-- close pda if key to toggle nearby list is pressed while proxy entry is focused

local gp = iup.GetParent
local gnc = iup.GetNextChild

local entry = gb(gb(gnc(gnc(gb(gb(gnc(PDASensorNearbyTab)))))))

local action_old = entry.action

function entry:action(key, after)
	local char
	local binds = gkinterface.GetBindsForCommand("+TopList")
	
	if key < 256 then
		char = string.char(key)
	end

	for _,v in ipairs(binds) do
		if not tonumber(char) and v == char then
			local current = after:sub(1,-2)
			SetProximityWarningDistance(tonumber(after:sub(1,-2)) or -1)

			-- kinda strage that this is set to after before the func returns
			self.value = current

			HideDialog(PDADialog)
			ShowDialog(HUD.dlg)
			return iup.IGNORE
		end
	end
	
	return action_old(self, key, after)
end

